# As per the policy on emulators, this should be submitted to tainted

Summary:        Sony PlayStation Portable (PSP) emulator
Name:           ppsspp
Version:        1.0.1
Release:        %mkrel 1
License:        GPLv2+
Group:          Emulators
Url:            http://www.ppsspp.org
# From git https://github.com/hrydgard/ppsspp
# git submodule init ext/armips lang native
# git submodule update ext/armips lang native
# git archive-all --prefix=ppsspp-%%{version}/ ppsspp-%%{version}.tar.xz
Source0:        %{name}-%{version}.tar.xz
Patch0:         ppsspp-0.9.9.1-mga-desktop-category.patch
Patch1:         ppsspp-1.0.1-mga-unbundle-libs.patch

BuildRequires:  imagemagick
BuildRequires:  ffmpeg-devel >= 2.2
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  qttools5
BuildRequires:  snappy-devel

%description
PPSSPP is a cross-platform Sony PlayStation Portable (PSP) emulator.

PPSSPP can run your PSP games on your PC in full HD resolution, and play
them on Android too. It can even upscale textures that would otherwise be
too blurry as they were made for the small screen of the original PSP.

This package is in tainted as per the policy on emulators.

%files
%doc LICENSE.TXT README.md
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1*

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

# Make sure those are not used
rm -rf ext/{snappy,zlib}
rm -rf native/ext/{glew,libpng17,libzip,rapidxml}

%build
mkdir build-qt
pushd build-qt
%qmake_qt5 CONFIG+="system_ffmpeg system-zlib release" ../Qt/PPSSPPQt.pro
%make
popd

%install
# make install currently only installs icons and desktop entry
%qmakeinstall_std -C build-qt

install -D -m755 build-qt/ppsspp %{buildroot}%{_gamesbindir}/%{name}

install -D -m644 assets/unix-icons/icon-512.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

install -D -m644 debian/ppsspp.1 %{buildroot}%{_mandir}/man1/%{name}.1


%changelog
* Tue Mar 10 2015 akien <akien> 1.0.1-1.mga5
+ Revision: 818295
- Version 1.0.1
  o Upstream support for system ffmpeg with Atrac3+ playback
    (ROSA patch has therefore been dropped)
  o Uses SDL2 instead of SDL
- Unbundled external libraries: glew, libzip, snappy and zlib

* Fri Nov 14 2014 akien <akien> 0.9.9.1-5.mga5.tainted
+ Revision: 797090
- Rebuild for ffmpeg 2.4

* Sun Nov 02 2014 akien <akien> 0.9.9.1-4.mga5.tainted
+ Revision: 795220
- Add a patch from Andrey Bondrov (ROSA) to fix Atrac3+ playback with system ffmpeg

* Wed Oct 15 2014 umeabot <umeabot> 0.9.9.1-3.mga5.tainted
+ Revision: 741090
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.9.1-2.mga5.tainted
+ Revision: 687762
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 akien <akien> 0.9.9.1-1.mga5.tainted
+ Revision: 674204
- Bugfix release 0.9.9.1
- Switch to qmake/Qt5 build instead of cmake/SDL one
- Use upstream option to use shared ffmpeg

* Wed Jul 30 2014 akien <akien> 0.9.9-1.mga5.tainted
+ Revision: 658359
- Version 0.9.9
- Drop OpenMandriva controls patch, it seems better to stick to upstream choices
- Install hicolor icons provided by upstream

* Mon Mar 24 2014 akien <akien> 0.9.7.2-2.mga5.tainted
+ Revision: 607812
- Rebuild for ffmpeg 2.2 (and in the proper section)
- Add a comment signaling this should be pushed to tainted

* Wed Feb 19 2014 akien <akien> 0.9.7.2-1.mga5
+ Revision: 594856
- New version 0.9.7.2: fixing a drastic slowdowns in a couple of games
- Changelog for 0.9.7.1: https://raw2.github.com/hrydgard/ppsspp/v0.9.7.1/README.md
- Import ppsspp SRPM from OpenMandriva


* Sun Feb 16 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.7.1-1
+ Revision: e3f1d04
- LOG New version 0.9.7.1, re-diff controls patch


